# Uses of Interface
org.opensaml.xmlsec.signature.Y

Packages that use Y
Package
Description
org.opensaml.xmlsec.signature
XMLObject interfaces and helper classes for representing digitally signed content and signing/validating content.
org.opensaml.xmlsec.signature.impl
Implementations of the interfaces for XMLObjects that represent XML signature types.

## Uses of Y in org.opensaml.xmlsec.signature

Methods in org.opensaml.xmlsec.signature that return Y
Modifier and Type
Method
Description
`Y`
DSAKeyValue.`getY()`
Get the Y child element.
Methods in org.opensaml.xmlsec.signature with parameters of type Y
Modifier and Type
Method
Description
`void`
DSAKeyValue.`setY(Y newY)`
Set the Y child element.

## Uses of Y in org.opensaml.xmlsec.signature.impl

Classes in org.opensaml.xmlsec.signature.impl that implement Y
Modifier and Type
Class
Description
`class`
`YImpl`
Concrete implementation of `Y`.
Fields in org.opensaml.xmlsec.signature.impl declared as Y
Modifier and Type
Field
Description
`private Y`
DSAKeyValueImpl.`y`
Y child element.
Methods in org.opensaml.xmlsec.signature.impl that return Y
Modifier and Type
Method
Description
`Y`
YBuilder.`buildObject()`
Builds an XMLObject using the default name and namespace information provided by the XML Signature specifications.
`Y`
YBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`Y`
DSAKeyValueImpl.`getY()`
Get the Y child element.
Methods in org.opensaml.xmlsec.signature.impl with parameters of type Y
Modifier and Type
Method
Description
`void`
DSAKeyValueImpl.`setY(Y newY)`
Set the Y child element.